## coq-hierarchy-builder 1.6.0

=== Makefile ===
# -*- Makefile -*-

######################################################################
# USAGE:                                                             #
#                                                                    #
# make all: Build the MathComp library entirely,                     #
# make test-suite: Run the test suite,                               #
# make only TGTS="...vo": Build the selected libraries of MathComp.  #
#                                                                    #
# The rules this-config::, this-build::, this-only::,                #
# this-test-suite::, this-distclean::, this-clean::  #
# and __always__:: may be extended.                                  #
#                                                                    #
# Additionally, the following variables may be customized:           #
SUBDIRS?=
COQBIN?=$(dir $(shell which coqtop))
COQMAKEFILE?=$(COQBIN)coq_makefile
COQDEP?=$(COQBIN)coqdep
COQPROJECT?=_CoqProject
COQMAKEOPTIONS?=
COQMAKEFILEOPTIONS?=
V?=
VERBOSE?=V
TGTS?=
######################################################################

# local context: -----------------------------------------------------
.PHONY: all config build only test-suite clean distclean __always__
.SUFFIXES:

H:= $(if $(VERBOSE),,@)  # not used yet
TOP     = $(dir $(lastword $(MAKEFILE_LIST)))
COQMAKE = $(MAKE) -f Makefile.coq $(COQMAKEOPTIONS)
COQMAKE_TESTSUITE = $(MAKE) -f Makefile.test-suite.coq $(COQMAKEOPTIONS)
BRANCH_coq:= $(shell $(COQBIN)coqtop -v | head -1 | grep -E '(trunk|master)' \
	      | wc -l | sed 's/ *//g')

# coq version:
ifneq "$(BRANCH_coq)" "0"
COQVVV:= dev
else
COQVVV:=$(shell $(COQBIN)coqtop --print-version | cut -d" " -f1)
endif

COQV:= $(shell echo $(COQVVV) | cut -d"." -f1)
COQVV:= $(shell echo $(COQVVV) | cut -d"." -f1-2)

ifneq "$(DESTDIR)" ""
HB_INSTALLDIR := $(DESTDIR)/bin
else
HB_INSTALLDIR := $(dir $(shell which $(COQBIN)coqc))
endif

# export to sub- targets
export COQBIN
export COQMAKEFILE
export COQV
export COQVV
export COQVVV

# all: ---------------------------------------------------------------
all: 
	$(MAKE) config
	$(MAKE) build
	$(MAKE) test-suite

# Makefile.coq: ------------------------------------------------------

Makefile.coq: $(COQPROJECT) Makefile
	$(COQMAKEFILE) $(COQMAKEFILEOPTIONS) -f $(COQPROJECT) -o Makefile.coq

# Test suite ---------------------------------------------------------

Makefile.test-suite.coq: $(COQPROJECT).test-suite Makefile
	$(COQMAKEFILE) $(COQMAKEFILEOPTIONS) -f $(COQPROJECT).test-suite -o Makefile.test-suite.coq

# Global config, build, clean and distclean --------------------------
config: sub-config this-config

build: sub-build this-build

only: sub-only this-only

test-suite: sub-test-suite this-test-suite

clean: sub-clean this-clean
	rm -f coq.hb

distclean: sub-distclean this-distclean

# Local config, build, clean and distclean ---------------------------
.PHONY: this-config this-build this-only this-test-suite this-distclean this-clean

this-config:: __always__

this-build:: this-config coq.hb Makefile.coq
	+$(COQMAKE)

this-only:: this-config Makefile.coq
	+$(COQMAKE) only "TGTS=$(TGTS)"

this-test-suite:: build Makefile.test-suite.coq
	+$(COQMAKE_TESTSUITE)

this-distclean:: this-clean
	rm -f Makefile.coq Makefile.coq.conf
	rm -f Makefile.test-suite.coq Makefile.test-suite.coq.conf

this-clean:: __always__
	@if [ -f Makefile.coq ]; then $(COQMAKE) cleanall; fi
	@if [ -f Makefile.test-suite.coq ]; then $(COQMAKE_TESTSUITE) cleanall; fi

# Install target -----------------------------------------------------
.PHONY: install

install: __always__ Makefile.coq
	$(COQMAKE) install
	install -d $(HB_INSTALLDIR)
	install -m 0755 coq.hb $(HB_INSTALLDIR)

# counting lines of Coq code -----------------------------------------
.PHONY: count

COQFILES = $(shell grep '.v$$' $(COQPROJECT))

count:
	@coqwc $(COQFILES) | tail -1 | \
	  awk '{printf ("%d (spec=%d+proof=%d)\n", $$1+$$2, $$1, $$2)}'
# Additionally cleaning backup (*~) files ----------------------------
this-distclean::
	rm -f $(shell find . -name '*~')

# Make in SUBDIRS ----------------------------------------------------
ifdef SUBDIRS
sub-%: __always__
	@set -e; for d in $(SUBDIRS); do $(MAKE) -C $$d $(@:sub-%=%); done
else
sub-%: __always__
	@true
endif

# Make of individual .vo ---------------------------------------------
structures.vo : %.vo: __always__ Makefile.coq
	+$(COQMAKE) $@
	
coq.hb: hb.ml
	ocamlc unix.cma str.cma -g hb.ml -o coq.hb

$(addsuffix o,$(wildcard examples/*.v examples/*/*.v tests/*.v)): __always__ config build Makefile.test-suite.coq
	+$(COQMAKE_TESTSUITE) $@

## coq-hierarchy-builder 1.2.0

=== debian/changelog ===
coq-hierarchy-builder (1.2.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1001038)

 -- Julien Puydt <jpuydt@debian.org>  Fri, 03 Dec 2021 08:57:26 +0100

=== debian/control ===
Source: coq-hierarchy-builder
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: ocaml
Priority: optional
Standards-Version: 4.6.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), dh-ocaml, libcoq-elpi-ocaml-dev
Vcs-Browser: https://salsa.debian.org/ocaml-team/coq-hierarchy-builder
Vcs-Git: https://salsa.debian.org/ocaml-team/coq-hierarchy-builder.git
Homepage: https://github.com/math-comp/hierarchy-builder

Package: libhierarchy-builder-coq
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: build hierarchies of algebraic structures in Coq (runtime files)
 This software provides high-level commands to build hierarchies of algebraic
 structures in the Coq system.
 .
 This package provides the runtime files.

Package: coq-hierarchy-builder
Architecture: any
Depends: libhierarchy-builder-coq (=${binary:Version}),
         ocaml-base-nox,
         ${misc:Depends},
         ${shlibs:Depends}
Description: build hierarchies of algebraic structures in Coq (tool)
 This software provides high-level commands to build hierarchies of algebraic
 structures in the Coq system.
 .
 This package provides the command-line tool.

## coq-hierarchy-builder 1.2.1

=== debian/changelog ===
coq-hierarchy-builder (1.2.1-9build1) kinetic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 01 Jun 2022 17:36:05 +0200

coq-hierarchy-builder (1.2.1-9) unstable; urgency=medium

  * Add patch to support coq-elpi 1.14.0.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 23 May 2022 16:18:40 +0200

coq-hierarchy-builder (1.2.1-8) unstable; urgency=medium

  * Re-upload to fix ABI breakage.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 22 May 2022 19:29:30 +0200

coq-hierarchy-builder (1.2.1-7) unstable; urgency=medium

  * Really fix the dependency on the Coq ABI?

 -- Julien Puydt <jpuydt@debian.org>  Thu, 12 May 2022 08:34:18 +0200

coq-hierarchy-builder (1.2.1-6) unstable; urgency=medium

  * Fix the dependency on the Coq ABI.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 11 May 2022 17:35:39 +0200

coq-hierarchy-builder (1.2.1-5) unstable; urgency=medium

  * Add depends on the Coq ABI to all binary packages.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 16 Apr 2022 10:43:05 +0200

coq-hierarchy-builder (1.2.1-4) unstable; urgency=medium

  * Rework b-deps (Closes: #1009449).

 -- Julien Puydt <jpuydt@debian.org>  Wed, 13 Apr 2022 14:41:15 +0200

coq-hierarchy-builder (1.2.1-3) unstable; urgency=medium

  * Trigger rebuild to depend on newer coq.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 23 Mar 2022 22:38:38 +0100

coq-hierarchy-builder (1.2.1-2) unstable; urgency=medium

  * Rename the lib* package to follow more closely other packages'
  (and upstream's) naming scheme.
  * Adapt to the new coq library location.
  * Update dates in d/copyright.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 09 Feb 2022 09:38:46 +0100

coq-hierarchy-builder (1.2.1-1) unstable; urgency=medium

  * Add explicit b-dep on libelpi-ocaml-dev. (Closes: #1002930)
  * New upstream release.
  * Drop patches (obsolete).

 -- Julien Puydt <jpuydt@debian.org>  Mon, 17 Jan 2022 15:42:42 +0100

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,19 @@
 Priority: optional
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13), dh-ocaml, libcoq-elpi-ocaml-dev
+Build-Depends: coq,
+               debhelper-compat (= 13),
+               dh-ocaml,
+               libcoq-elpi,
+               libcoq-elpi-ocaml-dev,
+               wdiff
 Vcs-Browser: https://salsa.debian.org/ocaml-team/coq-hierarchy-builder
 Vcs-Git: https://salsa.debian.org/ocaml-team/coq-hierarchy-builder.git
 Homepage: https://github.com/math-comp/hierarchy-builder
 
-Package: libhierarchy-builder-coq
+Package: libcoq-hierarchy-builder
 Architecture: any
-Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
+Depends: coq-${F:CoqABI}, ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
 Provides: ${ocaml:Provides}
 Recommends: ocaml-findlib
 Description: build hierarchies of algebraic structures in Coq (runtime files)
@@ -23,8 +28,9 @@
 
 Package: coq-hierarchy-builder
 Architecture: any
-Depends: libhierarchy-builder-coq (=${binary:Version}),
-         ocaml-base-nox,
+Depends: libcoq-hierarchy-builder (=${binary:Version}),
+         ocaml-nox,
+         coq-${F:CoqABI},
          ${misc:Depends},
          ${shlibs:Depends}
 Description: build hierarchies of algebraic structures in Coq (tool)

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/ocaml/ocamlvars.mk
include /usr/share/coq/coqvars.mk

%:
	dh $@ --with ocaml

override_dh_gencontrol:
	dh_gencontrol -- -VF:CoqABI="$(COQ_ABI)"

override_dh_installman:
	dh_installman --language='C'

## coq-hierarchy-builder 1.3.0

=== debian/changelog ===
coq-hierarchy-builder (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Add patch so upstream test suite passes with a more recent elpi
    (Closes: #1016303).

 -- Julien Puydt <jpuydt@debian.org>  Sat, 30 Jul 2022 17:44:16 +0200

coq-hierarchy-builder (1.2.1-11) unstable; urgency=medium

  * Use dh-coq.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 12 Jun 2022 14:03:31 +0200

coq-hierarchy-builder (1.2.1-10) unstable; urgency=medium

  * Bump standards-version to 4.6.1.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 02 Jun 2022 07:02:15 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Build-Depends: coq,
                debhelper-compat (= 13),
-               dh-ocaml,
+               dh-coq, dh-ocaml,
                libcoq-elpi,
                libcoq-elpi-ocaml-dev,
                wdiff
@@ -17,8 +17,8 @@
 
 Package: libcoq-hierarchy-builder
 Architecture: any
-Depends: coq-${F:CoqABI}, ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
-Provides: ${ocaml:Provides}
+Depends: ${coq:Depends}, ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
+Provides: ${coq:Provides}
 Recommends: ocaml-findlib
 Description: build hierarchies of algebraic structures in Coq (runtime files)
  This software provides high-level commands to build hierarchies of algebraic
@@ -30,7 +30,6 @@
 Architecture: any
 Depends: libcoq-hierarchy-builder (=${binary:Version}),
          ocaml-nox,
-         coq-${F:CoqABI},
          ${misc:Depends},
          ${shlibs:Depends}
 Description: build hierarchies of algebraic structures in Coq (tool)

## coq-hierarchy-builder 1.4.0

=== debian/changelog ===
coq-hierarchy-builder (1.4.0-2) unstable; urgency=medium

  * Rebuild to cope with new elpi.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 26 Oct 2022 08:54:20 +0200

coq-hierarchy-builder (1.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 01 Oct 2022 22:10:53 +0200

coq-hierarchy-builder (1.3.0-2) unstable; urgency=medium

  * Update for Coq 8.16.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 05 Sep 2022 22:32:01 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                debhelper-compat (= 13),
                dh-coq, dh-ocaml,
                libcoq-elpi,
-               libcoq-elpi-ocaml-dev,
+               libelpi-ocaml-dev,
                wdiff
 Vcs-Browser: https://salsa.debian.org/ocaml-team/coq-hierarchy-builder
 Vcs-Git: https://salsa.debian.org/ocaml-team/coq-hierarchy-builder.git

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/ocaml/ocamlvars.mk
include /usr/share/coq/coqvars.mk

%:
	dh $@ --with coq,ocaml

override_dh_installman:
	dh_installman --language='C'

## coq-hierarchy-builder 1.6.0

=== debian/changelog ===
coq-hierarchy-builder (1.6.0-1build5) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Apr 2024 09:17:26 +0200

coq-hierarchy-builder (1.6.0-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:54:07 +0000

coq-hierarchy-builder (1.6.0-1build3) noble; urgency=medium

  * No-change rebuild for new libcoq-elqi ABI

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 24 Mar 2024 15:59:05 +0000

coq-hierarchy-builder (1.6.0-1build2) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 17 Feb 2024 01:26:08 +0100

coq-hierarchy-builder (1.6.0-1build1) noble; urgency=medium

  * Rebuild against latest coq-elpi

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 27 Jan 2024 14:28:47 -0500

coq-hierarchy-builder (1.6.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.

  [ Julien Puydt ]
  * Fix d/rules clean target (Closes: #1044275).
  * New upstream release.
  * Drop all patches.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 21 Dec 2023 16:58:58 +0100

coq-hierarchy-builder (1.4.0-6) unstable; urgency=medium

  * Add patch to work with recent elpi (Closes: #1042022).

 -- Julien Puydt <jpuydt@debian.org>  Wed, 26 Jul 2023 09:12:38 +0200

coq-hierarchy-builder (1.4.0-5) unstable; urgency=medium

  * Fix abi issue.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 05 Jul 2023 10:07:24 +0200

coq-hierarchy-builder (1.4.0-4) unstable; urgency=medium

  * Fix patch metadata.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 04 Jul 2023 15:52:08 +0200

coq-hierarchy-builder (1.4.0-3) unstable; urgency=medium

  * Add patch to work with Coq 8.17.
  * Bump standards-version to 4.6.2.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 13 Jun 2023 07:06:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: coq-hierarchy-builder
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: coq,
                debhelper-compat (= 13),
@@ -29,7 +30,7 @@
 Package: coq-hierarchy-builder
 Architecture: any
 Depends: libcoq-hierarchy-builder (=${binary:Version}),
-         ocaml-nox,
+         ocaml,
          ${misc:Depends},
          ${shlibs:Depends}
 Description: build hierarchies of algebraic structures in Coq (tool)

=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,11 @@
 
 override_dh_installman:
 	dh_installman --language='C'
+
+override_dh_auto_clean:
+	make clean
+	find . -name "*.cm*" -delete
+	find . -name "*.aux" -delete
+	rm -f Makefile.coq Makefile.coq.conf
+	rm -f Makefile.test-suite.coq Makefile.test-suite.coq.conf
+	rm -f *dot

## coq-hierarchy-builder 1.7.0

=== debian/changelog ===
coq-hierarchy-builder (1.7.0-2build2) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:53:23 +0200

coq-hierarchy-builder (1.7.0-2build1) oracular; urgency=medium

  * Rebuild against latest coq

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 04 Aug 2024 15:24:25 -0400

coq-hierarchy-builder (1.7.0-2) unstable; urgency=medium

  * Team upload
  * Do not hardcode /usr/lib/ocaml

 -- Stéphane Glondu <glondu@debian.org>  Sat, 03 Aug 2024 09:50:28 +0200

coq-hierarchy-builder (1.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 25 Jan 2024 06:33:39 +0100

=== debian/control ===
Source: coq-hierarchy-builder
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: ocaml
Priority: optional
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: coq,
               debhelper-compat (= 13),
               dh-coq, dh-ocaml,
               libcoq-elpi,
               libelpi-ocaml-dev,
               wdiff
Vcs-Browser: https://salsa.debian.org/ocaml-team/coq-hierarchy-builder
Vcs-Git: https://salsa.debian.org/ocaml-team/coq-hierarchy-builder.git
Homepage: https://github.com/math-comp/hierarchy-builder

Package: libcoq-hierarchy-builder
Architecture: any
Depends: ${coq:Depends}, ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Provides: ${coq:Provides}
Recommends: ocaml-findlib
Description: build hierarchies of algebraic structures in Coq
 This software provides high-level commands to build hierarchies of algebraic
 structures in the Coq system.

## coq-hierarchy-builder 1.8.0

=== debian/changelog ===
coq-hierarchy-builder (1.8.0-1build4) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Feb 2025 21:53:49 +0100

coq-hierarchy-builder (1.8.0-1build3) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 31 Jan 2025 09:04:13 +0100

coq-hierarchy-builder (1.8.0-1build2) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Jan 2025 09:41:19 +0100

coq-hierarchy-builder (1.8.0-1build1) plucky; urgency=medium

  * Rebuild against latest coq libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 19 Dec 2024 19:53:32 -0500

coq-hierarchy-builder (1.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.7.0.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 18 Dec 2024 12:12:28 +0100

## coq-hierarchy-builder 1.8.1

=== Makefile ===
--- 
+++ 
@@ -84,7 +84,6 @@
 test-suite: sub-test-suite this-test-suite
 
 clean: sub-clean this-clean
-	rm -f coq.hb
 
 distclean: sub-distclean this-distclean
 
@@ -93,7 +92,7 @@
 
 this-config:: __always__
 
-this-build:: this-config coq.hb Makefile.coq
+this-build:: this-config Makefile.coq
 	+$(COQMAKE)
 
 this-only:: this-config Makefile.coq
@@ -116,7 +115,6 @@
 install: __always__ Makefile.coq
 	$(COQMAKE) install
 	install -d $(HB_INSTALLDIR)
-	install -m 0755 coq.hb $(HB_INSTALLDIR)
 
 # counting lines of Coq code -----------------------------------------
 .PHONY: count
@@ -142,9 +140,6 @@
 # Make of individual .vo ---------------------------------------------
 structures.vo : %.vo: __always__ Makefile.coq
 	+$(COQMAKE) $@
-	
-coq.hb: hb.ml
-	ocamlc unix.cma str.cma -g hb.ml -o coq.hb
 
-$(addsuffix o,$(wildcard examples/*.v examples/*/*.v tests/*.v)): __always__ config build Makefile.test-suite.coq
+$(addsuffix o,$(wildcard examples/*.v examples/*/*.v tests/*.v tests/unit/*.v)): __always__ config build Makefile.test-suite.coq
 	+$(COQMAKE_TESTSUITE) $@

=== shim/Makefile ===
COQMAKEFILE?=$(COQBIN)coq_makefile
build:
	$(COQMAKEFILE) -f _CoqProject -o Makefile.coq
	$(MAKE) -f Makefile.coq

install:
	$(MAKE) -f Makefile.coq install

clean:
	$(MAKE) -f Makefile.coq clean

=== debian/changelog ===
coq-hierarchy-builder (1.8.1-1build9) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 25 Oct 2025 18:13:23 +0200

coq-hierarchy-builder (1.8.1-1build8) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 24 Oct 2025 19:23:28 +0200

coq-hierarchy-builder (1.8.1-1build7) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Oct 2025 22:47:06 +0200

coq-hierarchy-builder (1.8.1-1build6) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 31 Aug 2025 21:20:19 +0200

coq-hierarchy-builder (1.8.1-1build5) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Jun 2025 18:35:42 +0200

coq-hierarchy-builder (1.8.1-1build4) questing; urgency=medium

  * Rebuild against latest coq libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 May 2025 17:27:21 -0400

coq-hierarchy-builder (1.8.1-1build3) questing; urgency=medium

  * Rebuild against latest coq libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 07 May 2025 12:56:19 -0400

coq-hierarchy-builder (1.8.1-1build2) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 19 Feb 2025 08:08:39 +0100

coq-hierarchy-builder (1.8.1-1build1) plucky; urgency=medium

  * Rebuild against latest coq

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 18 Feb 2025 20:54:22 -0500

coq-hierarchy-builder (1.8.1-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 15 Feb 2025 15:22:32 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: coq,
                debhelper-compat (= 13),

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,9 @@
 override_dh_installman:
 	dh_installman --language='C'
 
+override_dh_auto_install:
+	dh_auto_install --destdir=debian/tmp/
+
 override_dh_auto_clean:
 	make clean
 	find . -name "*.cm*" -delete

=== debian/watch ===
version=4
https://github.com/math-comp/hierarchy-builder/tags .*/v?([\d\.]+).tar.gz

## coq-hierarchy-builder 1.10.1

=== Makefile ===
--- 
+++ 
@@ -13,8 +13,9 @@
 #                                                                    #
 # Additionally, the following variables may be customized:           #
 SUBDIRS?=
-COQBIN?=$(dir $(shell which coqtop))
-COQMAKEFILE?=$(COQBIN)coq_makefile
+COQBIN?=$(dir $(shell command -v coqtop || command -v rocq))
+COQTOP=$(shell command -v coqtop || echo "$(COQBIN)rocq repl")
+COQMAKEFILE?=$(shell command -v coq_makefile || echo "$(COQBIN)rocq makefile")
 COQDEP?=$(COQBIN)coqdep
 COQPROJECT?=_CoqProject
 COQMAKEOPTIONS?=
@@ -25,31 +26,26 @@
 ######################################################################
 
 # local context: -----------------------------------------------------
-.PHONY: all config build only test-suite clean distclean __always__
+.PHONY: all config build only test-suite test-suite-stdlib clean distclean __always__
 .SUFFIXES:
 
 H:= $(if $(VERBOSE),,@)  # not used yet
 TOP     = $(dir $(lastword $(MAKEFILE_LIST)))
 COQMAKE = $(MAKE) -f Makefile.coq $(COQMAKEOPTIONS)
 COQMAKE_TESTSUITE = $(MAKE) -f Makefile.test-suite.coq $(COQMAKEOPTIONS)
-BRANCH_coq:= $(shell $(COQBIN)coqtop -v | head -1 | grep -E '(trunk|master)' \
+COQMAKE_TESTSUITE_STDLIB = $(MAKE) -f Makefile.test-suite-stdlib.coq $(COQMAKEOPTIONS)
+BRANCH_coq:= $(shell $(COQTOP) -v | head -1 | grep -E '(trunk|master)' \
 	      | wc -l | sed 's/ *//g')
 
 # coq version:
 ifneq "$(BRANCH_coq)" "0"
 COQVVV:= dev
 else
-COQVVV:=$(shell $(COQBIN)coqtop --print-version | cut -d" " -f1)
+COQVVV:=$(shell $(COQTOP) --print-version | cut -d" " -f1)
 endif
 
 COQV:= $(shell echo $(COQVVV) | cut -d"." -f1)
 COQVV:= $(shell echo $(COQVVV) | cut -d"." -f1-2)
-
-ifneq "$(DESTDIR)" ""
-HB_INSTALLDIR := $(DESTDIR)/bin
-else
-HB_INSTALLDIR := $(dir $(shell which $(COQBIN)coqc))
-endif
 
 # export to sub- targets
 export COQBIN
@@ -74,6 +70,11 @@
 Makefile.test-suite.coq: $(COQPROJECT).test-suite Makefile
 	$(COQMAKEFILE) $(COQMAKEFILEOPTIONS) -f $(COQPROJECT).test-suite -o Makefile.test-suite.coq
 
+# Test suite Stdlib --------------------------------------------------
+
+Makefile.test-suite-stdlib.coq: $(COQPROJECT).test-suite-stdlib Makefile
+	$(COQMAKEFILE) $(COQMAKEFILEOPTIONS) -f $(COQPROJECT).test-suite-stdlib -o Makefile.test-suite-stdlib.coq
+
 # Global config, build, clean and distclean --------------------------
 config: sub-config this-config
 
@@ -83,14 +84,31 @@
 
 test-suite: sub-test-suite this-test-suite
 
+test-suite-stdlib: sub-test-suite-stdlib this-test-suite-stdlib
+
 clean: sub-clean this-clean
 
 distclean: sub-distclean this-distclean
 
 # Local config, build, clean and distclean ---------------------------
-.PHONY: this-config this-build this-only this-test-suite this-distclean this-clean
+.PHONY: this-config this-build this-only this-test-suite this-test-suite-stdlib this-distclean this-clean
 
 this-config:: __always__
+	@if $$(command -v coqc >/dev/null) ; then \
+	if [ -e config.stamp -a "`coqc --print-version`" = "`cat config.stamp 2>/dev/null`" ] ; then \
+		echo 'already configured';\
+	else\
+		coqc --print-version > config.stamp;\
+		echo 'configuring for ' `coqc --print-version`;\
+		if (coqc --version | grep -q '8.20') ; then \
+			echo '*****************************************************************';\
+			echo 'old coq version detected, double check the diff before committing';\
+			echo '*****************************************************************';\
+			sed -i.bak -e 's/From Corelib/From Coq/' `find . -name \*.v` ; \
+			sed -i.bak -e 's/IntDef/ZArith/' `find . -name \*.v` ; \
+		fi;\
+	fi ; fi
+	# Remove all of the above when requiring Rocq >= 9.0
 
 this-build:: this-config Makefile.coq
 	+$(COQMAKE)
@@ -101,20 +119,25 @@
 this-test-suite:: build Makefile.test-suite.coq
 	+$(COQMAKE_TESTSUITE)
 
+this-test-suite-stdlib:: build Makefile.test-suite-stdlib.coq
+	+$(COQMAKE_TESTSUITE_STDLIB)
+
 this-distclean:: this-clean
+	rm -f config.stamp
 	rm -f Makefile.coq Makefile.coq.conf
 	rm -f Makefile.test-suite.coq Makefile.test-suite.coq.conf
+	rm -f Makefile.test-suite-stdlib.coq Makefile.test-suite-stdlib.coq.conf
 
 this-clean:: __always__
 	@if [ -f Makefile.coq ]; then $(COQMAKE) cleanall; fi
 	@if [ -f Makefile.test-suite.coq ]; then $(COQMAKE_TESTSUITE) cleanall; fi
+	@if [ -f Makefile.test-suite-stdlib.coq ]; then $(COQMAKE_TESTSUITE_STDLIB) cleanall; fi
 
 # Install target -----------------------------------------------------
 .PHONY: install
 
 install: __always__ Makefile.coq
 	$(COQMAKE) install
-	install -d $(HB_INSTALLDIR)
 
 # counting lines of Coq code -----------------------------------------
 .PHONY: count
@@ -141,5 +164,10 @@
 structures.vo : %.vo: __always__ Makefile.coq
 	+$(COQMAKE) $@
 
-$(addsuffix o,$(wildcard examples/*.v examples/*/*.v tests/*.v tests/unit/*.v)): __always__ config build Makefile.test-suite.coq
+$(addsuffix o,$(wildcard examples/*.v examples/*/*.v tests/*.v tests/unit/*.v)): __always__ config build Makefile.test-suite.coq Makefile.test-suite-stdlib.coq
 	+$(COQMAKE_TESTSUITE) $@
+	+$(COQMAKE_TESTSUITE_stdlib) $@
+
+nix:
+	nix-shell --arg do-nothing true --run "updateNixToolBox && genNixActions"
+.PHONY: nix

=== debian/changelog ===
coq-hierarchy-builder (1.10.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.7.2.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 29 Oct 2025 09:51:23 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends: coq,
                debhelper-compat (= 13),

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 include /usr/share/dpkg/pkg-info.mk
 include /usr/share/ocaml/ocamlvars.mk
 include /usr/share/coq/coqvars.mk
+
+export DEB_BUILD_OPTIONS += noautodbgsym
 
 %:
 	dh $@ --with coq,ocaml
